package client.window;

import client.Client;

public enum Wheel implements Input {
	SCROLL_UP("scrup", "Mausrad oben"),
	SCROLL_DOWN("scrdn", "Mausrad unten"),
	SCROLL_LEFT("scrl", "Mausrad links"),
	SCROLL_RIGHT("scrr", "Mausrad rechts");
	
	private final String id;
	private final String name;
	
	private boolean used;
	
	private Wheel(String id, String name) {
		this.id = id;
		this.name = name;
	}

	public String getName() {
		return this.id;
	}

	public String getDisplay() {
		return this.name;
	}

	public boolean read() {
		return Client.CLIENT.open == null && this.used;
	}
	
	public void setUsed() {
		this.used = true;
	}
	
	public void reset() {
		this.used = false;
	}
}
